{% set assetHash = global.random() %}
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% if noindex %}
    <meta name="robots" content="noindex">
    {% endif %}
    {% include "partials/meta-info.html" %}
    <style>{% include "css/main.css" %}</style>
    {% if pageCriticalStyles %}
      {% for item in pageCriticalStyles %}
        {% set css %}
          {% include item %}
        {% endset %}
        <style>
          {{ css | safe }}
        </style>
      {% endfor %}
    {% endif %}
    {% if pageStylesheets %}
      {% for item in pageStylesheets %}
        <link rel="stylesheet" media="print" href="/assets/postStyles/{{page.fileSlug + "/" + item }}?{{ assetHash }}" onload="this.media='all'" />
      {% endfor %}
    {% endif %}
    <script defer src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.3.4/gsap.min.js"></script>
    <script defer src="/scripts/global.js"></script>
    {% for script in externalScripts %}
        <script defer src="{{ script | url }}"></script>
    {% endfor %}
    {% for script in pageScripts %}
        <script defer type="module" src="/scripts/{{ script | url }}"></script>
    {% endfor %}

    {% if env.isProd %}
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id={{ env.tracking.gtag }}"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());
      gtag('config', '{{ env.tracking.gtag }}');
    </script>
    {% endif %}
  </head>
  <body {% if templateClass %} class="{{ templateClass }}"{% endif %}>
    {% include "partials/header.html" %}

    <main tabindex="-1" id="main-content">
      {% block content %}{% endblock %}
    </main>

    <footer class="footer">
      <div class="wrapper">
        <div class="footer__text">
          <p>Made with <a href="https://www.11ty.dev/" target="_blank" rel="noopener noreferrer">11ty</a>, hosted with <a href="https://www.netlify.com/" target="_blank" rel="noopener noreferrer">Netlify</a>.</p>
          <p>Designed and developed by Scott Caldwell.</p>
        </div>
      </div>
    </footer>
  </body>
</html>
